#pragma once
#include <map>
struct M_VipDescData
{
	//编号
	int mID;
	//vip等级
	int mVipLevel;
	//是否新内容（1：是 0：不是）
	int mNewContent;
	//描述
	std::string mDesc;
};

class M_VipDesc
{
public:
private:
	static std::auto_ptr<M_VipDesc> msSingleton;
public:
	int GetCount();
	const M_VipDescData* GetData(int ID);
	const std::map<int, M_VipDescData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_VipDesc* GetSingleton();
	static void Release();
private:
	std::map<int, M_VipDescData> mMapData;
};
